package com.iformall.mapper;

import java.util.*;
import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxCardSpend;
import com.iformall.domain.vo.WxCardSpendVo;

public interface WxCardSpendMapper extends CommonMapper<WxCardSpend, Long> {

	List<WxCardSpend> findList(WxCardSpend wxCardSpend);

	void updateByCond(WxCardSpend wxCardSpend);

	List<WxCardSpendVo> findCardSpendVoList(WxCardSpend wxCardSpend);

	List<Map<String,Object>> sumCardSpendVoForMerchant(WxCardSpend wxCardSpend);

	List<Map<String,Object>> sumCardSpendVoForOwner(WxCardSpend wxCardSpend);

	
	
	
}
